package zr.zrpower.flowengine.web.bean;

import zr.zrpower.flowengine.service.FlowManageAct;
import java.util.List;

public class FlowMaActBean {
  FlowManageAct flowManageAct = null;
  public FlowMaActBean() {

    try {
      flowManageAct = new FlowManageAct();
    }
    catch (Exception ex) {
    }
  }

  public List GetFieldList(String TableName){
   List result = null;
   if(flowManageAct!=null){
     try {
       result = flowManageAct.GetFieldList(TableName);
     }
     catch (Exception ex) {
     }
     flowManageAct = null;
   }
   return result;
 }

 public List GetTableList(){
  List result = null;
  if(flowManageAct!=null){
    try {
      result = flowManageAct.GetTableList();
    }
    catch (Exception ex) {
    }
    flowManageAct = null;
  }
  return result;
}

public String GetCtrlAbleFieldByFID(String FID, String AID)
{
  String strResult="";
  try
  {
    strResult=flowManageAct.GetCtrlAbleFieldByFID(FID,AID);
  }catch(Exception ex)
  {

  }
  flowManageAct = null;
  return strResult;
}
public List GetTableList1(String StrWhere){
 List result = null;
 if(flowManageAct!=null){
   try {
     result = flowManageAct.GetTableList1(StrWhere);
   }
   catch (Exception ex) {
   }
   flowManageAct = null;
 }
 return result;
}

}
